module PresentationHelper
  
  # usage <%= attribute( 'mainlabel', 'mainvalue', 'sidelabel1', 'sidevalue1', .... %>
  def attribute(*content)
    raise content.inspect if content.size < 2
    # hash opts 9pokud je lichý počet parametrů tak je tp poslední z nich) 
    opts = content.size.odd? ? content.pop : {}  
    opts[:div_id] = " id=\"#{opts[:div_id]}\"" if opts[:div_id]
    
    # teď má content sudý počet členů
    
    result = "
    <div class=\"attribute #{opts[:div_class]}\"#{opts[:div_id]}>
      <dl class=\"main\">
        <dt>#{content[0]}</dt>
        <dd>#{content[1]}</dd>
      </dl>
      <dl class=\"aside\">
    "
    # každý pár parametrů znamená jdnu dvojici label,value v aside bloku
    content[2..-1].each_slice(2) do |label, value|
      result += "
        <div class=\"side-label\">#{label}</div>
        <div class=\"side-value\">#{value}</div>
      "
    end
    result += "
      </dl>
    </div>
    "
    result.html_safe
  end
  def dimm(content)
    "<span class=\"dimm\">#{content.to_s}</span>"
  end
  def dimm_small(content)
    "<small class=\"dimm\">#{content.to_s}</small>"
  end
end
